Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.stat
Class Frequency

    java.lang.Object
      org.apache.commons.math.stat.Frequency

All Implemented Interfaces:
  Serializable

    public class Frequency

extends Object
implements Serializable

Maintains a frequency distribution.

Accepts int, long, char or Comparable values. New values added must be comparable to those that have been added, otherwise the add method will throw an IllegalArgumentException.

Integer values (int, long, Integer, Long) are not distinguished by type -- i.e. `addValue(Long.valueOf(2)), addValue(2), addValue(2l)` all have the same effect (similarly for arguments to `getCount,` etc.).

char values are converted by `addValue` to Character instances. As such, these values are not comparable to integral values, so attempts to combine integral types with chars in a frequency distribution will fail.

The values are ordered using the default (natural order), unless a `Comparator` is supplied in the constructor.

Version:
  $Revision: 1054186 $ $Date: 2011-01-01 03:28:46 +0100 (sam. 01 janv. 2011) $
See Also:
  Serialized Form

Constructor Summary
`Frequency()` Default constructor.
`Frequency(Comparator<?> comparator)` Constructor allowing values Comparator to be specified.

Method Summary
`void` | `addValue(char v)` Adds 1 to the frequency count for v.
`void` | `addValue(Comparable<?> v)` Adds 1 to the frequency count for v.
`void` | `addValue(int v)` Adds 1 to the frequency count for v.
`void` | `addValue(Integer v)` Deprecated. to be removed in math 3.0
`void` | `addValue(long v)` Adds 1 to the frequency count for v.
`void` | `addValue(Object v)` Deprecated. use `addValue(Comparable)` instead
`void` | `clear()` Clears the frequency table
`boolean` | `equals(Object obj)`
`long` | `getCount(char v)` Returns the number of values = v.
`long` | `getCount(Comparable<?> v)` Returns the number of values = v.
`long` | `getCount(int v)` Returns the number of values = v.
`long` | `getCount(long v)` Returns the number of values = v.
`long` | `getCount(Object v)` Deprecated. replaced by `getCount(Comparable)` as of 2.0
`long` | `getCumFreq(char v)` Returns the cumulative frequency of values less than or equal to v.
`long` | `getCumFreq(Comparable<?> v)` Returns the cumulative frequency of values less than or equal to v.
`long` | `getCumFreq(int v)` Returns the cumulative frequency of values less than or equal to v.
`long` | `getCumFreq(long v)` Returns the cumulative frequency of values less than or equal to v.
`long` | `getCumFreq(Object v)` Deprecated. replaced by `getCumFreq(Comparable)` as of 2.0
`double` | `getCumPct(char v)` Returns the cumulative percentage of values less than or equal to v (as a proportion between 0 and 1).
`double` | `getCumPct(Comparable<?> v)` Returns the cumulative percentage of values less than or equal to v (as a proportion between 0 and 1).
`double` | `getCumPct(int v)` Returns the cumulative percentage of values less than or equal to v (as a proportion between 0 and 1).
`double` | `getCumPct(long v)` Returns the cumulative percentage of values less than or equal to v (as a proportion between 0 and 1).
`double` | `getCumPct(Object v)` Deprecated. replaced by `getCumPct(Comparable)` as of 2.0
`double` | `getPct(char v)` Returns the percentage of values that are equal to v (as a proportion between 0 and 1).
`double` | `getPct(Comparable<?> v)` Returns the percentage of values that are equal to v (as a proportion between 0 and 1).
`double` | `getPct(int v)` Returns the percentage of values that are equal to v (as a proportion between 0 and 1).
`double` | `getPct(long v)` Returns the percentage of values that are equal to v (as a proportion between 0 and 1).
`double` | `getPct(Object v)` Deprecated. replaced by `getPct(Comparable)` as of 2.0
`long` | `getSumFreq()` Returns the sum of all frequencies.
`int` | `getUniqueCount()` Returns the number of values in the frequency table.
`int` | `hashCode()`
`String` | `toString()` Return a string representation of this frequency distribution.
`Iterator<Comparable<?>>` | `valuesIterator()` Returns an Iterator over the set of values that have been added.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Frequency

    public Frequency()

  Default constructor.

### Frequency

    public Frequency(Comparator<?> comparator)

  Constructor allowing values Comparator to be specified.

  Parameters:
    `comparator` - Comparator used to order values

Method Detail

### toString

    public String toString()

  Return a string representation of this frequency distribution.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation.

### addValue

    @Deprecated
    public void addValue(Object v)

  Deprecated. use `addValue(Comparable)` instead

  Adds 1 to the frequency count for v.

  If other objects have already been added to this Frequency, v must be comparable to those that have already been added.

  Parameters:
    `v` - the value to add.
  Throws:
    `IllegalArgumentException` - if `v` is not Comparable, or is not comparable with previous entries

### addValue

    public void addValue(Comparable<?> v)

  Adds 1 to the frequency count for v.

  If other objects have already been added to this Frequency, v must be comparable to those that have already been added.

  Parameters:
    `v` - the value to add.
  Throws:
    `IllegalArgumentException` - if `v` is not comparable with previous entries

### addValue

    public void addValue(int v)

  Adds 1 to the frequency count for v.

  Parameters:
    `v` - the value to add.

### addValue

    @Deprecated
    public void addValue(Integer v)

  Deprecated. to be removed in math 3.0

  Adds 1 to the frequency count for v.

  Parameters:
    `v` - the value to add.

### addValue

    public void addValue(long v)

  Adds 1 to the frequency count for v.

  Parameters:
    `v` - the value to add.

### addValue

    public void addValue(char v)

  Adds 1 to the frequency count for v.

  Parameters:
    `v` - the value to add.

### clear

    public void clear()

  Clears the frequency table

### valuesIterator

    public Iterator<Comparable<?>> valuesIterator()

  Returns an Iterator over the set of values that have been added.

  If added values are integral (i.e., integers, longs, Integers, or Longs), they are converted to Longs when they are added, so the objects returned by the Iterator will in this case be Longs.

  Returns:
    values Iterator

### getSumFreq

    public long getSumFreq()

  Returns the sum of all frequencies.

  Returns:
    the total frequency count.

### getCount

    @Deprecated
    public long getCount(Object v)

  Deprecated. replaced by `getCount(Comparable)` as of 2.0

  Returns the number of values = v. Returns 0 if the value is not comparable.

  Parameters:
    `v` - the value to lookup.
  Returns:
    the frequency of v.

### getCount

    public long getCount(Comparable<?> v)

  Returns the number of values = v. Returns 0 if the value is not comparable.

  Parameters:
    `v` - the value to lookup.
  Returns:
    the frequency of v.

### getCount

    public long getCount(int v)

  Returns the number of values = v.

  Parameters:
    `v` - the value to lookup.
  Returns:
    the frequency of v.

### getCount

    public long getCount(long v)

  Returns the number of values = v.

  Parameters:
    `v` - the value to lookup.
  Returns:
    the frequency of v.

### getCount

    public long getCount(char v)

  Returns the number of values = v.

  Parameters:
    `v` - the value to lookup.
  Returns:
    the frequency of v.

### getUniqueCount

    public int getUniqueCount()

  Returns the number of values in the frequency table.

  Returns:
    the number of unique values that have been added to the frequency table.
  See Also:
    `valuesIterator()`

### getPct

    @Deprecated
    public double getPct(Object v)

  Deprecated. replaced by `getPct(Comparable)` as of 2.0

  Returns the percentage of values that are equal to v (as a proportion between 0 and 1).

  Returns `Double.NaN` if no values have been added.

  Parameters:
    `v` - the value to lookup
  Returns:
    the proportion of values equal to v

### getPct

    public double getPct(Comparable<?> v)

  Returns the percentage of values that are equal to v (as a proportion between 0 and 1).

  Returns `Double.NaN` if no values have been added.

  Parameters:
    `v` - the value to lookup
  Returns:
    the proportion of values equal to v

### getPct

    public double getPct(int v)

  Returns the percentage of values that are equal to v (as a proportion between 0 and 1).

  Parameters:
    `v` - the value to lookup
  Returns:
    the proportion of values equal to v

### getPct

    public double getPct(long v)

  Returns the percentage of values that are equal to v (as a proportion between 0 and 1).

  Parameters:
    `v` - the value to lookup
  Returns:
    the proportion of values equal to v

### getPct

    public double getPct(char v)

  Returns the percentage of values that are equal to v (as a proportion between 0 and 1).

  Parameters:
    `v` - the value to lookup
  Returns:
    the proportion of values equal to v

### getCumFreq

    @Deprecated
    public long getCumFreq(Object v)

  Deprecated. replaced by `getCumFreq(Comparable)` as of 2.0

  Returns the cumulative frequency of values less than or equal to v.

  Returns 0 if v is not comparable to the values set.

  Parameters:
    `v` - the value to lookup.
  Returns:
    the proportion of values equal to v

### getCumFreq

    public long getCumFreq(Comparable<?> v)

  Returns the cumulative frequency of values less than or equal to v.

  Returns 0 if v is not comparable to the values set.

  Parameters:
    `v` - the value to lookup.
  Returns:
    the proportion of values equal to v

### getCumFreq

    public long getCumFreq(int v)

  Returns the cumulative frequency of values less than or equal to v.

  Returns 0 if v is not comparable to the values set.

  Parameters:
    `v` - the value to lookup
  Returns:
    the proportion of values equal to v

### getCumFreq

    public long getCumFreq(long v)

  Returns the cumulative frequency of values less than or equal to v.

  Returns 0 if v is not comparable to the values set.

  Parameters:
    `v` - the value to lookup
  Returns:
    the proportion of values equal to v

### getCumFreq

    public long getCumFreq(char v)

  Returns the cumulative frequency of values less than or equal to v.

  Returns 0 if v is not comparable to the values set.

  Parameters:
    `v` - the value to lookup
  Returns:
    the proportion of values equal to v

### getCumPct

    @Deprecated
    public double getCumPct(Object v)

  Deprecated. replaced by `getCumPct(Comparable)` as of 2.0

  Returns the cumulative percentage of values less than or equal to v (as a proportion between 0 and 1).

  Returns `Double.NaN` if no values have been added. Returns 0 if at least one value has been added, but v is not comparable to the values set.

  Parameters:
    `v` - the value to lookup
  Returns:
    the proportion of values less than or equal to v

### getCumPct

    public double getCumPct(Comparable<?> v)

  Returns the cumulative percentage of values less than or equal to v (as a proportion between 0 and 1).

  Returns `Double.NaN` if no values have been added. Returns 0 if at least one value has been added, but v is not comparable to the values set.

  Parameters:
    `v` - the value to lookup
  Returns:
    the proportion of values less than or equal to v

### getCumPct

    public double getCumPct(int v)

  Returns the cumulative percentage of values less than or equal to v (as a proportion between 0 and 1).

  Returns 0 if v is not comparable to the values set.

  Parameters:
    `v` - the value to lookup
  Returns:
    the proportion of values less than or equal to v

### getCumPct

    public double getCumPct(long v)

  Returns the cumulative percentage of values less than or equal to v (as a proportion between 0 and 1).

  Returns 0 if v is not comparable to the values set.

  Parameters:
    `v` - the value to lookup
  Returns:
    the proportion of values less than or equal to v

### getCumPct

    public double getCumPct(char v)

  Returns the cumulative percentage of values less than or equal to v (as a proportion between 0 and 1).

  Returns 0 if v is not comparable to the values set.

  Parameters:
    `v` - the value to lookup
  Returns:
    the proportion of values less than or equal to v

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.